Web lists-archives.com

Re: Building modules for perl-5.24




On 5/18/2017 1:21 PM, Achim Gratz wrote:
Ken Brown writes:
I'd like to build test releases for perl-5.24 of the perl modules
needed by biber, so that I can upgrade biber (as a test release).  I
don't mind doing the work, but I imagine you have a script that
simplifies the process.  (Presumably you have to build and install the
prerequisites for a module before you can build the module.)  Can you
make that script available to me?

I have built all modules for testing perl-5.24, but not saved them away
at the time.  There were no changes needed to the cygport files, so you
could use those from the source packages or you'll let me know what
modules you need and I can package up the cygport and any patches for
those.

I'm happy to get them from the source packages. But I was asking how to manage build prerequisites. For example, perl-Data-Compare depends on perl-File-Find-Rule. So I have to build and install the latter before I can build the former. How do you handle this? I was assuming that you had written a script that helps with this.

> Are there any new dependencies not yet in Cygwin?

I don't think so, but I'll let you know.

Note that perl-5.26-RC1 is out now.  I'm currently waiting for RC2
(there were a few things not quite right in RC1) and if that's OK on
Cygwin I'll most likely skip releasing perl-5.24.

Sounds good.

Ken


--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple